Package com.sun.jna.platform.win32

## Class WinNT.SYSTEM_BATTERY_STATE

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.SYSTEM_BATTERY_STATE

Enclosing interface:
  WinNT

    @FieldOrder({"AcOnLine","BatteryPresent","Charging","Discharging","Spare1","Tag","MaxCapacity","RemainingCapacity","Rate","EstimatedTime","DefaultAlert1","DefaultAlert2"})
    public static class WinNT.SYSTEM_BATTERY_STATE
    extends Structure

Contains information about the current state of the system battery.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`byte` `AcOnLine`
`byte` `BatteryPresent`
`byte` `Charging`
`int` `DefaultAlert1`
`int` `DefaultAlert2`
`byte` `Discharging`
`int` `EstimatedTime`
`int` `MaxCapacity`
`int` `Rate`
`int` `RemainingCapacity`
`byte[]` `Spare1`
`byte` `Tag`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`SYSTEM_BATTERY_STATE()`
`SYSTEM_BATTERY_STATE​(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### AcOnLine

    public byte AcOnLine

#### BatteryPresent

    public byte BatteryPresent

#### Charging

    public byte Charging

#### Discharging

    public byte Discharging

#### Spare1

    public byte[] Spare1

#### Tag

    public byte Tag

#### MaxCapacity

    public int MaxCapacity

#### RemainingCapacity

    public int RemainingCapacity

#### Rate

    public int Rate

#### EstimatedTime

    public int EstimatedTime

#### DefaultAlert1

    public int DefaultAlert1

#### DefaultAlert2

    public int DefaultAlert2

### Constructor Detail

#### SYSTEM_BATTERY_STATE

    public SYSTEM_BATTERY_STATE​(Pointer p)

#### SYSTEM_BATTERY_STATE

    public SYSTEM_BATTERY_STATE()